diff --git a/books/bookvol1.pamphlet b/books/bookvol1.pamphlet
index d02e367..cfc566b 100644
--- a/books/bookvol1.pamphlet
+++ b/books/bookvol1.pamphlet
@@ -10347,6 +10347,33 @@ $$
 $$
 \returnType{Type: List Any}
 
+We can ask Axiom to show the types in an Any collection
+\spadcommand{showTypeInOutput(true)}
+\begin{verbatim}
+  "Type of object will be displayed in output of a member of Any"
+\end{verbatim}
+\returnType{Type: String}
+and now the output looks like
+\spadcommand{u}
+$$
+\left[
+1:\textrm{PositiveInteger}, 
+{7.2}:\textrm{Float}, 
+{3 \over 2}:\textrm{Fraction(Integer)},  
+{x \sp 2}:\textrm{Polynomial(Integer)},
+\mbox{\tt "wally"}:\textrm{String}
+\right]
+$$
+\returnType{Type: List Any}
+\index{showTypeInOutput}
+
+We can turn off type annotations with
+\spadcommand{showTypeInOutput(false)}
+\begin{verbatim}
+  "Type of object will not be displayed in output of a member of Any"
+\end{verbatim}
+\returnType{Type: String}
+
 When we ask for the elements, Axiom displays these types.
 \spadcommand{u.1}
 $$
diff --git a/changelog b/changelog
index 8ba5676..09ad34a 100644
--- a/changelog
+++ b/changelog
@@ -1,4 +1,6 @@
-20141023 gxg src/axiom-website/patches.html 20141023.01.tpd.patch
+20141024 tpd src/axiom-website/patches.html 20141024.01.tpd.patch
+20141024 tpd books/bookvol1 demonstrate showTypeInOutput
+20141023 tpd src/axiom-website/patches.html 20141023.01.tpd.patch
 20141023 tpd books/bookvolbib fix bad reference
 20141023 tpd books/bookvol5 add showHistory
 20141020 gxg src/axiom-website/patches.html 20141020.01.gxg.patch
diff --git a/patch b/patch
index 7b41ad5..35917ff 100644
--- a/patch
+++ b/patch
@@ -1,3 +1,3 @@
-books/bookvol5 add showHistory
+books/bookvol1 demonstrate showTypeInOutput
 
-recover the oddly missing showHistory function
+demonstrate showTypeInOutput from domain Any
diff --git a/src/axiom-website/patches.html b/src/axiom-website/patches.html
index 8090716..0587a05 100644
--- a/src/axiom-website/patches.html
+++ b/src/axiom-website/patches.html
@@ -4686,6 +4686,8 @@ books/bookvolbib add a section on Differential Forms<br/>
 books/bookvol1 fix typo Gustavo Goertkin<br/>
 <a href="patches/20141023.01.tpd.patch">20141023.01.tpd.patch</a>
 books/bookvol5 add showHistory<br/>
+<a href="patches/20141024.01.tpd.patch">20141024.01.tpd.patch</a>
+books/bookvol1 demonstrate showTypeInOutput<br/>
  </body>
 </html>
 
